Skip to main content
POST
/
webhooks
/
2026-03
/
{appId}
/
subscriptions
/
batch
/
update
Batch create event subscriptions
curl --request POST \
  --url 'https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/batch/update?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "active": true,
      "id": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "active": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "eventType": "company.associationChange",
      "id": "<string>",
      "eventTypeName": "<string>",
      "objectTypeId": "<string>",
      "propertyName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the target app.

Body

application/json
inputs
object[]
required

Response

successful operation

completedAt
string<date-time>
required

The date and time when the batch operation was completed.

results
object[]
required

The list of results from the batch operation.

startedAt
string<date-time>
required

The date and time when the batch operation started.

status
enum<string>
required

The current status of the batch operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A collection of related links associated with the batch operation.

numErrors
integer<int32>
requestedAt
string<date-time>

The date and time when the batch operation was requested.

Last modified on March 30, 2026